variables:
    SLEEP_TIMEOUT: 10

build-job:
  stage: build
  script:
    - sleep $SLEEP_TIMEOUT
    - echo "Hello, $GITLAB_USER_LOGIN!"

test-job1:
  stage: test
  script:
    - sleep $SLEEP_TIMEOUT
    - echo "This job tests something"

test-job2:
  stage: test
  script:
    - echo "This job tests something, but takes more time than test-job1."
    - echo "After the echo commands complete, it runs the sleep command for 20 seconds"
    - echo "which simulates a test that runs 20 seconds longer than test-job1"
    - sleep $SLEEP_TIMEOUT

# this job will fail if we don''tt have nodejs installed'
deploy-prod:
  stage: deploy
  script:
    - sleep $SLEEP_TIMEOUT
    - node --version
